#!/bin/sh
dir=$(cd -P -- "$(dirname -- "$0")" && pwd -P)
cd $dir;
export CARRY_SELECT_ADDER_MAP='pdk/gf180mcuC/libs.tech/openlane/gf180mcu_fd_sc_mcu7t5v0/csa_map.v';
export CLOCK_PERIOD='24.0';
export DESIGN_NAME='spm';
export FULL_ADDER_MAP='pdk/gf180mcuC/libs.tech/openlane/gf180mcu_fd_sc_mcu7t5v0/fa_map.v';
export LIB_SYNTH='./tmp/synthesis/trimmed.lib';
export LIB_SYNTH_COMPLETE_NO_PG='./tmp/synthesis/1-gf180mcu_fd_sc_mcu7t5v0__tt_025C_3v30.no_pg.lib';
export LIB_SYNTH_NO_PG='./tmp/synthesis/1-trimmed.no_pg.lib';
export PACKAGED_SCRIPT_0='openlane/scripts/yosys/synth.tcl';
export PACKAGED_SCRIPT_1='./tmp/synthesis/synthesis.sdc';
export RIPPLE_CARRY_ADDER_MAP='pdk/gf180mcuC/libs.tech/openlane/gf180mcu_fd_sc_mcu7t5v0/rca_map.v';
export SAVE_NETLIST='./results/synthesis/spm.v';
export SYNTH_ADDER_TYPE='YOSYS';
export SYNTH_BUFFERING='1';
export SYNTH_CAP_LOAD='72.91';
export SYNTH_DRIVING_CELL='gf180mcu_fd_sc_mcu7t5v0__inv_1';
export SYNTH_EXTRA_MAPPING_FILE='';
export SYNTH_LATCH_MAP='pdk/gf180mcuC/libs.tech/openlane/gf180mcu_fd_sc_mcu7t5v0/latch_map.v';
export SYNTH_MAX_FANOUT='4';
export SYNTH_MAX_TRAN='2.4000000000000004';
export SYNTH_MIN_BUF_PORT='gf180mcu_fd_sc_mcu7t5v0__buf_1 I Z';
export SYNTH_NO_FLAT='0';
export SYNTH_READ_BLACKBOX_LIB='1';
export SYNTH_SHARE_RESOURCES='1';
export SYNTH_SIZING='0';
export SYNTH_STRATEGY='AREA 0';
export SYNTH_TIEHI_PORT='gf180mcu_fd_sc_mcu7t5v0__tieh Z';
export SYNTH_TIELO_PORT='gf180mcu_fd_sc_mcu7t5v0__tiel ZN';
export TRISTATE_BUFFER_MAP='pdk/gf180mcuC/libs.tech/openlane/gf180mcu_fd_sc_mcu7t5v0/tribuff_map.v';
export VERILOG_FILES='openlane/designs/spm/src/spm.v';
export synth_report_prefix='./reports/synthesis/1-synthesis';
export synthesis_results='./results/synthesis';
export synthesis_tmpfiles='./tmp/synthesis';
TOOL_BIN=${TOOL_BIN:-yosys}
$TOOL_BIN -c $PACKAGED_SCRIPT_0
